## DhTabLabel DhTabLabel — A DhTab label, used by DhNotebook |

## Functions

GtkWidget * | dh_tab_label_new ()
DhTab * | dh_tab_label_get_tab ()

## Properties

DhTab * | tab | Read / Write / Construct Only

## Types and Values

struct | DhTabLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── DhTabLabel

## Implemented Interfaces

DhTabLabel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <devhelp/devhelp.h>

## Description

The DhTabLabel widget is used for the tab labels in DhNotebook.

It contains the title as returned by `dh_web_view_get_devhelp_title()`, plus a close button.

## Functions

### dh_tab_label_new ()

    GtkWidget *
    dh_tab_label_new (DhTab *tab);

#### Parameters

tab | the associated DhTab. |

#### Returns

a new DhTabLabel.

[transfer floating]

Since: 3.30

### dh_tab_label_get_tab ()

    DhTab *
    dh_tab_label_get_tab (DhTabLabel *tab_label);

#### Parameters

tab_label | a DhTabLabel. |

#### Returns

the “tab”.

[transfer none][nullable]

Since: 3.30

## Types and Values

### struct DhTabLabel

    struct DhTabLabel;

## Property Details

### The `“tab”` property

      “tab”                      DhTab *

The associated DhTab. DhTabLabel has a weak reference to the DhTab.

Flags: Read / Write / Construct Only

Since: 3.30